import fs from 'fs'
import path from 'path'

// 获取 dist 目录的绝对路径
const distPath = path.resolve(new URL('.', import.meta.url).pathname, '../dist')
// 定义一个函数，用于删除指定目录下的所有文件和文件夹
function deleteFolderRecursive(folderPath) {
  if (fs.existsSync(folderPath)) {
    fs.readdirSync(folderPath).forEach(file => {
      const curPath = path.join(folderPath, file)
      if (fs.lstatSync(curPath).isDirectory()) {
        deleteFolderRecursive(curPath)
      } else if (!curPath.includes('package.json')) {
        fs.unlinkSync(curPath)
      }
    })
    // fs.rmdirSync(folderPath);
  }
}

// 调用函数，删除 dist 目录下的所有文件和文件夹
deleteFolderRecursive(distPath)

console.log('清理完成！')
