import {
  TRTCRoleType,
  TRTCVideoFillMode,
  TRTCVideoMirrorType,
  TRTCVideoResolution,
  TRTCVideoResolutionMode,
  TRTCVideoRotation,
} from './types'

export interface TRTCParams {
  sdkAppId: number;
  userId: string;
  userSig: string;
  roomId: number;
  strRoomId?: string;
  role: TRTCRoleType;
  privateMapKey?: string;
}

export interface TRTCVideoEncParam {
  videoResolution: TRTCVideoResolution;
  resMode: TRTCVideoResolutionMode;
  videoFps: number;
  videoBitrate: number;
  minVideoBitrate: number;
}

export interface TRTCRenderParams {
  rotation: TRTCVideoRotation;
  fillMode: TRTCVideoFillMode;
  mirrorType: TRTCVideoMirrorType;
}

export interface TRTCVolumeInfo {
  userId: string;
  volume: number;
}

export interface AudioMusicParam {
  path: string;
  startTimeMS: number;
  endTimeMS: number;
}
export * from './types'
